Get AutomationTemplateVariable by ID
Get a single AutomationTemplateVariable by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
automation_template_variable_id
ID of the AutomationTemplateVariable.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
archiveReason
archived
automationStep
configVariableKey
createdAt
id
modifiedAt
name
pipelineStep
Use automationStep instead.
template
variableTypeConfigSpec
Defines the allowed value type and validation constraints for this variable. The structure depends on the variable's data type.
Errors
400
Automation Template Variable Get Request Bad Request Error
403
Automation Template Variable Get Request Forbidden Error
404
Automation Template Variable Get Request Not Found Error
429
Automation Template Variable Get Request Too Many Requests Error
500
Automation Template Variable Get Request Internal Server Error